{% extends 'shared/_site.html' %}
{% load static %}
{% block keywords %}

<meta name="keywords" content="{% for keyword in page.keywords %}{{keyword}}, {% endfor %}" />
<meta name="description" content="{{ page.description }}" />

{% endblock %}

{% block body %}

{% include 'partials/banner.html' %}


<main>
    <div class="hr">
        <div class="container">
            <div class="hr-content">
                <h1 class="flower-bg text-center social-text"><b style="color: #334d5c">INSTAGRAM</b></h1>
                <img class="social-pic" src="{% static 'assets/img/svg/line.svg' %}" alt="" />
            </div>
        </div>
    </div>
    
    <div class="container-fluid mb-100">
        <article>
            <div class="row">
                {% for post in site.insta_posts.all %}
                    <div class="col text-center">
                        <a href="#" data-toggle="modal" data-target="#modal{{ forloop.counter }}">
                            <img class="radius mt-20" src="{{ post.pic.url }}" alt="{{ post.text }}" >
                        </a>
                        <div class="modal" id="modal{{ forloop.counter }}">
                            <div class="modal-dialog">
                                <div class="modal-content">

                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    </div>

                                    <img class="radius" src="{{ post.pic.url }}" alt="{{ post.text }}">
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </article>
    </div>

    {% include 'partials/say-hello.html' %}
</main>
{% endblock %}